svn commit: samba r6852 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Tue May 17 07:37:18 GMT 2005


Author: tridge
Date: 2005-05-17 07:37:17 +0000 (Tue, 17 May 2005)
New Revision: 6852

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=6852

Log:
implement an idea from kinkie to make the 'make test' target automatically kill smbd 
when finished, using a fifo

this makes 'make test' much safer for build farm usage

Modified:
   branches/SAMBA_4_0/source/script/tests/selftest.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/selftest.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-05-17 07:15:12 UTC (rev 6851)
+++ branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-05-17 07:37:17 UTC (rev 6852)
@@ -41,11 +41,14 @@
 
 ADDARG="-s $CONFFILE"
 
-$SRCDIR/bin/smbd -s $CONFFILE -M single || exit 1
+rm -f smbd_test.fifo
+mkfifo smbd_test.fifo
+$SRCDIR/bin/smbd -d1 -s $CONFFILE -M single -i < smbd_test.fifo || exit 1 &
 sleep 2
-$SRCDIR/script/tests/test_rpc.sh localhost $USERNAME $PASSWORD $DOMAIN $ADDARG || exit 1
-$SRCDIR/script/tests/test_binding_string.sh localhost $USERNAME $PASSWORD $DOMAIN $ADDARG || exit 1
-$SRCDIR/script/tests/test_echo.sh localhost $USERNAME $PASSWORD $DOMAIN $ADDARG || exit 1
-$SRCDIR/script/tests/test_posix.sh //localhost/tmp $USERNAME $PASSWORD $ADDARG || exit 1
-$SRCDIR/bin/smbtorture $ADDARG ncalrpc: LOCAL-* || exit 1
-kill `cat $PIDDIR/smbd.pid`
+(
+ $SRCDIR/script/tests/test_rpc.sh localhost $USERNAME $PASSWORD $DOMAIN $ADDARG || exit 1
+ $SRCDIR/script/tests/test_binding_string.sh localhost $USERNAME $PASSWORD $DOMAIN $ADDARG || exit 1
+ $SRCDIR/script/tests/test_echo.sh localhost $USERNAME $PASSWORD $DOMAIN $ADDARG || exit 1
+ $SRCDIR/script/tests/test_posix.sh //localhost/tmp $USERNAME $PASSWORD $ADDARG || exit 1
+ $SRCDIR/bin/smbtorture $ADDARG ncalrpc: LOCAL-* || exit 1
+) 9>smbd_test.fifo



More information about the samba-cvs mailing list